Bug 250192 - SELinux prevents cyrus-imapd from connecting to saslauthd
SELinux prevents cyrus-imapd from connecting to saslauthd
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cyrus-imapd (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Janousek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-30 18:36 EDT by Nathaniel McCallum
Modified: 2008-01-15 09:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:57:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathaniel McCallum 2007-07-30 18:36:26 EDT
I have cyrus-imapd configured to use saslauthd for authentication (the default
configuration).  For some reason, the imapd process cannot connect to the
saslauthd daemon.  The log says:
kernel: audit(1185169605.092:25): avc:  denied  { connectto } for  pid=3730
comm="imapd" name="mux" scontext=root:system_r:cyrus_t:s0
tcontext=root:system_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket

'ls -Z /var/run/saslauthd/mux' shows:
srwxrwxrwx  root root system_u:object_r:saslauthd_var_run_t /var/run/saslauthd/mux

'allow cyrus_t unconfined_t:unix_stream_socket connectto;' permits me to
workaround this issue.
Comment 1 Tomas Janousek 2007-08-15 07:33:24 EDT
Why is saslauthd running as unconfined_t?  Did you run it by hand, ie outside
the init script?

If it runs within the init script this should work.
Comment 2 Tomas Janousek 2007-10-15 09:52:18 EDT
Ping?

Note You need to log in before you can comment on or make changes to this bug.